// ---------------------------------------------------------------------------
//	PSG+BEEP Implementation
//	Copyright (C) cisc 1997, 1998.
// ---------------------------------------------------------------------------
//	$Id: psgb.h,v 1.2 1999/07/04 13:53:15 cisc Exp $

#ifndef PSGB_H
#define PSGB_H

#include "psg.h"

// ---------------------------------------------------------------------------

class PSGB : public PSG
{
public:
	PSGB();
	~PSGB();
	bool Init(uint rate);
	void EmitWave(Sample* dest, int nsamples);
	void EmitWaveDCh(Sample* dest, int nsamples);

private:
	uint32 pcount;
	uint32 bcount;
	uint32 bbcount;
	uint32 bbperiod;
};

#endif
